edu.isi.pegasus.planner.namespace.aggregator

## Class MIN

- java.lang.Object
- - edu.isi.pegasus.planner.namespace.aggregator.Abstract
  - - edu.isi.pegasus.planner.namespace.aggregator.MIN

All Implemented Interfaces:
  Aggregator

    public class MIN
    extends Abstract

An implementation of the Aggregator interface that takes the minimum of the profile values. In the case of either of the profile values not valid integers, the default value is picked up.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from interface edu.isi.pegasus.planner.namespace.aggregator.Aggregator

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`MIN()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `compute(java.lang.String oldValue, java.lang.String newValue, java.lang.String dflt)` Returns the minimum of two values.

### Methods inherited from class edu.isi.pegasus.planner.namespace.aggregator.Abstract

`parseInt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MIN

    public MIN()

### Method Detail

#### compute

    public java.lang.String compute(java.lang.String oldValue,
                                    java.lang.String newValue,
                                    java.lang.String dflt)

Returns the minimum of two values.

Parameters:
  `oldValue` - the existing value for the profile.
  `newValue` - the new value being added to the profile.
  `dflt` - the default value to be used in case the values are not of the correct type.
Returns:
  the computed value as a String.